API Direct
Endpoints
Substack Post Comments

Substack Post Comments

GET /v1/substack/post/comments

Get the full comment thread of a Substack post, nested. Returns every comment with text, author, date, likes, replies and restacks, replies nested under their parent to any depth, sorted by relevance, newest first or oldest first.

Cost
$0.003 per request
Free tier
50 requests/month

Parameters

url
Post URL, e.g. https://www.lennysnewsletter.com/p/all-of-the-lenny-and-friends-summit (max 500 characters). Provide url, post_id, or publication and slug.
post_id
Numeric post ID, as returned in post_id. Provide url, post_id, or publication and slug.
publication
Publication subdomain, host or URL, used together with slug.
slug
Post URL slug, e.g. all-of-the-lenny-and-friends-summit, used together with publication.
sort_by
Sort order: relevance (best first), most_recent, oldest (default: relevance)
get_sentiment
Set to true to add AI emotion analysis (Plutchik's Wheel) to each result. Adds +$0.001 per request to the cost. Returns emotion scores, dominant emotion, intensity, and polarity.

Example Request

curl "https://apidirect.io/v1/substack/post/comments?url=https%3A%2F%2Fwww.lennysnewsletter.com%2Fp%2Fhow-duolingo-reignited-user-growth"   -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "comments": [
    {
      "author": "fullstackresearcher",
      "author_id": "8067246",
      "author_name": "Daniel Kyne",
      "author_pic_url": "https://bucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com/public/images/69f08c0f-8d66-4b63-8d88-97af005d6bab_2126x2126.png",
      "author_url": "https://substack.com/@fullstackresearcher",
      "body": "Nothing beats real life examples (especially including failures) in deep detail like this! 🙏",
      "children": [
        {
          "author": "jorgemazal1",
          "author_id": "25411757",
          "author_name": "Jorge Mazal",
          "author_url": "https://substack.com/@jorgemazal1",
          "body": "Thank you Daniel!",
          "children": [],
          "comment_id": "13190378",
          "date": "2023-02-28 21:45:14",
          "is_author": true,
          "is_pinned": false,
          "likes": 5,
          "replies": 0,
          "restacks": 0,
          "url": "https://www.lennysnewsletter.com/p/how-duolingo-reignited-user-growth/comment/13190378"
        }
      ],
      "comment_id": "13180393",
      "date": "2023-02-28 16:40:12",
      "is_author": false,
      "is_pinned": false,
      "liked_by": [
        "Lenny Rachitsky"
      ],
      "likes": 49,
      "reactions": {
        "❤": 49
      },
      "replies": 1,
      "restacks": 0,
      "status": "published",
      "url": "https://www.lennysnewsletter.com/p/how-duolingo-reignited-user-growth/comment/13180393"
    }
  ],
  "count": 79,
  "post_id": "104096876",
  "post_url": "https://www.lennysnewsletter.com/p/how-duolingo-reignited-user-growth",
  "sort_by": "relevance",
  "total": 78,
  "truncated": false
}

Your Usage

Free tier this month
Loading...
Recent Activity